/**
 * @author 秃破天际
 * @version 10.0
 * Created by 秃破天际 on 2020-07-28
 * 客户端  认证方式   API（分组管理）    权限管理（客户端-API）
 **/
!(function () {
    BI.constant("dec.constant.client.tabs", [{
        value: "allClient",
        text: BI.i18nText("Dec-All_Clients"),
        cardType: "dec.client.all"
    }, {
        value: "authentication",
        text: BI.i18nText("Dec-Authentication_Type"),
        cardType: "dec.type.authentication"
    }, {
        value: "allApi",
        text: BI.i18nText("Dec-All_Api"),
        cardType: "dec.api.all"
    }, {
        value: "privilege",
        text: BI.i18nText("Dec-Client_Privilege"),
        cardType: "dec.client.privilege"
    },{
        value: "watcher",
        text: "请求日志",
        //text: BI.i18nText("Dec-Client_Privilege"),
        cardType: "dec.client.watcher"
    }]);

    BI.constant("dec.constant.client.disable.config", {
        0: BI.i18nText("Plugin-Dec-Management_Client_UnAvailable"),
        1: BI.i18nText("Plugin-Dec-Management_Client_Available")
    });
    BI.constant("dec.constant.client.api.method", [
        {value: "GET", text: "GET"},
        {value: "POST", text: "POST"},
        {value: "PUT", text: "PUT"},
        {value: "DELETE", text: "DELETE"}
    ]);

    BI.constant("dec.constant.client.privilege.carrier.type", [
        {
            value: "client",
            text: BI.i18nText("Plugin-Dec-Management_Client_Privilege_Tab_Client"),
            cardType: "dec.client.privilege.carrier.client",
            privilegeType: "dec.client.privilege.privilege.api"
        },
        {
            value: "api",
            text: "API",
            cardType: "dec.client.privilege.carrier.api",
            privilegeType: "dec.client.privilege.privilege.client"
        }]);


    DecCst.client = {
        nogroup: {
            id: "nogroup",
            name: BI.i18nText("Plugin-Dec-Management_Client_API_Group_Default_Name"),
            editable: 0
        },
        dealErrorMsg: function (errorMsg) {
            if (BI.isNull(errorMsg)) {
                return "";
            }
            var arr = errorMsg.split("][");
            return arr[arr.length - 1]
        },
        formatMsg:function (data) {
            return data.errorCode+"\n"+ DecCst.client.dealErrorMsg(data.errorMsg)
        }
    }


})();