;!(function () {

    var widget = BI.inherit(BI.Widget, {
        props: {},
        _store: function () {
            return BI.Models.getModel("dec.model.client.privilege.carrier.api");
        },

        render: function () {
            var self = this, o = this.options;
            var tree = {
                type: "dec.client.privilege.tree",
                showPrivilegeIcon: false,
                items: self.model.items,
                itemsCreator:self.model.itemsCreator,
                selectValue: function (value) {
                    self.store.setCarrierInfo(value.id);
                },
                ref: function (_ref) {
                    self.tree = _ref;
                }
            };
            return {
                type: "bi.absolute",
                items: [
                    {
                        el: tree,
                        top: 0, left: 0, bottom: 0, right: 0
                    }
                ]
            }
        }
    });
    BI.shortcut("dec.client.privilege.carrier.api", widget);
})();