;!(function () {
    var Model = BI.inherit(Fix.Model, {
        _init: function () {
        },
        state: function () {
            return {};
        },
        computed: {
            items: function () {
                var result = [];
                var groups = this.model.groupItems;
                BI.each(groups, function (index, group) {
                    var id = group.id;
                    result.push({id: id, text: group.name, isParent: true});
                    /*
                    var apis=Dec.Utils.Client.Relation.get(id);
                    BI.each(apis,function (index, api) {
                        result.push({id:api.id,pId:id,text:api.name,isParent:false})
                    })

                     */
                })
                return result;
            },
            itemsCreator:function () {
                return function (op, callback) {
                    nodeResult = [];
                    if(op.node){
                        var id = op.node.id;
                        var apis = Dec.Utils.Client.Relation.get(id);
                        var parentPrivilege = apis.length > 0;


                        BI.each(apis, function (index, api) {

                            nodeResult.push({
                                type:"dec.client.privilege.tree.item",
                                id: api.id,
                                pId: id,
                                text: api.name,
                                layer: 1,
                                //showPrivilegeIcon:true,
                                isParent: false,

                            })
                            //result.push({id: api.id, pId: id, text: api.name, isParent: false, hasPrivilege: hasPrivilege})
                        })


                    }
                    callback(nodeResult);
                }
            }
        },
        context: ["carrierInfo", "selectedCarriers","groupItems", "clientItems"],
        actions: {
            setCarrierInfo: function (v) {
                this.model.carrierInfo = {
                    id: v,
                    carrierType: this.model.carrierInfo.carrierType
                };
                this.model.selectedCarriers.api = {
                    id: v
                }
            }
        },
        _getCarrier: function (v) {
            return this.model.selectedCarriers[v];
        },
    })
    BI.model("dec.model.client.privilege.carrier.api", Model);

})();