;!(function () {

    var widget = BI.inherit(BI.Widget, {
        props: {},
         _store: function () {
             return BI.Models.getModel("dec.model.client.privilege.carrier.client");
         },
        beforeInit:function(callback){
            var self = this;
            var value = self.model.items&&self.model.items.length > 0 ? self.model.items[0].value : null;
            self.store.setCarrierInfo(value);
            callback();
        },
        render: function () {
            var self = this, o = this.options;
            //debugger
            //var defaultValue = self.model.items[0].value;
            var list = {
                type: "bi.button_group",
                value: self.model.items&&self.model.items.length > 0 ? self.model.items[0].value : null,
                chooseType: BI.Selection.Single,
                items: self.model.items.map(function (item) {
                    return Object.assign({
                        type: "dec.client.privilege.carrier.client.item",
                        logic: {
                            dynamic: true
                        }
                    }, item)
                }),
                listeners: [{
                    eventName: "EVENT_CHANGE",
                    action: function (value) {
                        self.store.setCarrierInfo(value);
                    }
                }],
                layouts: [{
                    type: "bi.vertical"
                }]
            };
            return {
                type: "bi.absolute",
                items: [
                    {
                        el: list,
                        top: 0, left: 0, bottom: 0, right: 0
                    }
                ]
            }
        }
    });
    BI.shortcut("dec.client.privilege.carrier.client", widget);
})();