;!(function () {
    var Model = BI.inherit(Fix.Model, {
        _init: function () {
        },
        state: function () {
            return {};
        },
        computed: {
            items: function () {
                return BI.map(this.model.clientItems, function (index, item) {
                    return {
                        value: item.id,
                        text: item.name
                    }
                })
            }
        },
        context: ["carrierInfo", "selectedCarriers", "groupItems", "clientItems"],
        actions: {
            setCarrierInfo: function (v) {
                this.model.carrierInfo = {
                    id: v,
                    carrierType: this.model.carrierInfo.carrierType
                };
                this.model.selectedCarriers.client = {
                    id: v
                }
            }
        },
        _getCarrier: function (v) {
            return this.model.selectedCarriers[v];
        },
    })
    BI.model("dec.model.client.privilege.carrier.client", Model);

})();