;!(function () {

    var items = [{
        id: 1,
        type: "dec.client.privilege.tree.item",
        text: "合同信息",
        layer: 0
    }, {
        id: 11,
        pId: 1,
        type: "dec.client.privilege.tree.item",

        text: "合同金额",
        layer: 1
    }, {
        id: 12,
        pId: 1,
        type: "dec.client.privilege.tree.item",

        text: "注册时间",
        layer: 1
    }, {
        id: 121,
        pId: 12,
        type: "dec.client.privilege.tree.item",

        text: "更多分组",
        layer: 2
    }]

    var widget = BI.inherit(BI.Widget, {
        props: {},
        _store: function () {
            return BI.Models.getModel("dec.model.client.privilege");
        },
        render: function () {


            var self = this, o = this.options;
            var tree = {
                type: "dec.client.privilege.tree",
                ref: function (_ref) {
                    self.tree = _ref;
                }
            };
            var left = {
                type: "bi.resizable_container",
                ref: function (_ref) {
                    self.left = _ref;
                },
                width: 240,
                maxSize: 450,
                minSize: 200,
                resize: BI.bind(self.resize, this),
                content: {
                    type: "dec.client.privilege.carrier.selector",
                    cls: "bi-border-right",
                }
            }
            return {
                type: "bi.htape",
                ref: function (_ref) {
                    self.wrapper = _ref;
                },
                items: [
                    {
                        el: left,
                        width: 240,
                    }, {
                        el: {
                            type: "bi.absolute",
                            items: [
                                {
                                    el: {
                                        type: "dec.client.privilege.privilege"
                                    },
                                    top: 0, left: 0, bottom: 0, right: 0
                                }
                            ]
                        }
                    }
                ]
            }
        },
        resize: function (size) {
            var self = this;
            self.wrapper.options.items[0].width = size;
            self.wrapper.resize();
        },

    });
    BI.shortcut("dec.client.privilege", widget);
})();