;!(function () {

    var widget = BI.inherit(BI.Widget, {
        props: {},
        _store: function () {
            return BI.Models.getModel("dec.model.client.privilege.privilege.api");
        },
        watch: {
            items: function () {
                this.tree.populate(this.model.items);
            }
        },
        beforeInit: function (callback) {
            this.store.initData(callback)

        },
        render: function () {
            var self = this, o = this.options;

            var tree = {
                type: "dec.client.privilege.tree",
                showPrivilegeIcon: true,
                nodeCls: "piont-client bi-list-item",
                items: self.model.items,
                itemsCreator:self.model.itemsCreator,
                changePrivilege: function (id, hasPrivilege, isParent) {
                    self.store.setPrivilege(id, hasPrivilege, isParent);
                },
                ref: function (_ref) {
                    self.tree = _ref;
                }
            };
            return {
                type: "bi.absolute",
                items: [
                    {
                        el: tree,
                        top: 0, left: 0, bottom: 0, right: 0
                    }
                ]
            }
        }
    });
    BI.shortcut("dec.client.privilege.privilege.api", widget);
})();