!(function () {
    var testNodeData = [{
        "code": "GXCS",
        "children": [
            {"code": "FR", "isParent": true, "name": "帆软", "allType": "0", "id": "FR"},
            {"code": "HR", "isParent": false, "name": "人员", "allType": "0", "id": "HR"}, {
                "code": "FI",
                "isParent": false,
                "name": "财务",
                "allType": "0",
                "id": "FI"
            }, {"code": "MA", "isParent": false, "name": "物资", "allType": "0", "id": "MA"}, {
                "code": "AS",
                "isParent": false,
                "name": "资产",
                "allType": "0",
                "id": "AS"
            }, {"code": "EG", "isParent": false, "name": "电网", "allType": "0", "id": "EG"}, {
                "code": "PJ",
                "isParent": false,
                "name": "项目",
                "allType": "0",
                "id": "PJ"
            }, {"code": "CR", "isParent": false, "name": "客户", "allType": "0", "id": "CR"}, {
                "code": "MT",
                "isParent": false,
                "name": "市场",
                "allType": "0",
                "id": "MT"
            }, {"code": "SF", "isParent": false, "name": "安全", "allType": "0", "id": "SF"}, {
                "code": "CM",
                "isParent": false,
                "name": "综合",
                "allType": "0",
                "id": "CM"
            }],
        "name": "主题域",
        "pId": "GYDMGL",
        "allType": "0",
        "id": "GXCS",
        "isleaf": "Y",
        "open": true
    }];
    var Model = BI.inherit(Fix.Model, {
            _init: function () {
            },

            state: function () {
                var self = this;
                return {
                    selectMetrics: {},
                    isSearching: false,
                    isLoading: false,
                    rootNodes: [],
                    items: [],
                    openStaus: {}
                };
            },


            computed: {},

            watch: {},

            actions: {
                /**
                 * 需要修改的方法
                 * @param callback
                 */
                initRootNodes: function (callback) {
                    this.initRootLocale(callback);
                    //this.initRootZd(callback)

                },

                selectMetrics: function (v) {
                    BI.each(this.model.items, function (index, item) {
                        item.selected = item.id === v.id;
                    });
                    //this.model.items.splice(0, 0);
                    this.model.selectMetrics = v;
                },

                updateOpenStatus: function (value, isOpen) {
                    /*BI.some(this.model.items, function (index, item) {
                        if (item.id === id) {
                            item.open = isOpen;
                        }
                    });*/
                    (this.model.openStaus)[value.id] = isOpen;
                },


            },
            initRootLocale: function (callback) {
                //  debugger;
                var self = this;
                /*                BI.each(testNodeData[0].children, function (index, item) {
                                    item.id = item.id;
                                    item.pId = "FR";
                                    if (item.id === "FR") {
                                        item.open = true;
                                        //item.layer = 0;
                                    } else {
                                        item.open = false;
                                        //item.layer = 1;
                                    }
                                    item.text = item.name;
                                    item.value = item.id;
                                    //     item.layer = 0;
                                    //  item.isParent = item.allType == "0" ? true : false;
                                    // item.select = false;
                                }, this);*/
                self.model.items = self.options.items;
                // self.model.rootNodes = testNodeData[0].children;
                callback();
            }


        }
    );
    BI.model("dec.model.client.privilege.tree", Model);
})();
