!(function () {
    var Model = BI.inherit(Fix.Model, {
        _init: function () {
            this.perPage = this.options.perPage;

        },

        state: function () {
            return {
                items: [],
                page: 1,
                count: 0,
                perPage:1000,
                keyWord: "",
            };
        },

        childContext: [],

        context: [],

        computed: {},

        watch: {

            page: function () {
                this.initData();
            }
        },
        actions: {
            initData: function (callback) {

                var self = this, createFn = this.options.itemsCreateFn;
                var result = createFn(this.model.page, this.model.perPage);
                if (result.success) {
                    this.model.count = result.data.total;
                    this.model.items = result.data.items;
                    BI.isFunction(callback) && callback();
                }

            },
            setPage: function (v) {
                this.model.page = v;
            },
            setCount: function (v) {
                this.model.count = v;
            },
            updateUserListHeight: function (height) {
                //  每一行的实际占用高度为36
                // DEC-10669  用户管理列表，窗口自适应功能存在用户count参数为-1的可能  不能给他搞成负数
                // 又想了想,应该除了测试没有客户会把窗口缩小成一坨了.极限状态下每页取0个也不好.那就定两个吧
                // default改成6了 有的主题下初次显示可能有问题 JEE
                this.model.perPage = BI.max([6, Math.floor(height / 36)]);
            },
        }

    });
    BI.model("dec.client.watcher.table.model", Model);
})();
