!(function () {
    var watcher = BI.inherit(BI.NodeButton, {

        props: {

        },

        // mounted: function () {
        //     if (this.options.open) {
        //         this.triggerExpand();
        //     }
        // },

        render: function () {

            var self = this, o = this.options;

            return {
                type: "bi.absolute",
                items: [
                    {
                        el: {
                            type: "dec.client.watcher.lineChart",
                            width: 1000,
                            height: 350,
                        }
                    },
                    {
                        el: {
                            type: "dec.client.watcher.table",
                            ref:function(_ref){
                                self.table=_ref;
                            },
                            cardType: "dec.client.info",
                            header: ["",{text:"API"} ,{text: BI.i18nText("Plugin-Dec-Management_Client_Privilege_Tab_Client")},{text: BI.i18nText("Plugin-Dec-Management-Request-Time")},{text: BI.i18nText("Plugin-Dec-ResTime") + "(ms)"},{text: BI.i18nText("Plugin-Dec-Mem") + "(MB)"}],
                            columnSize: [ 1 / 20, 3 / 20, 3 / 20, 2 / 10, 3 / 20, 2 / 10],
                            showTools: true,
                            itemsCreateFn: self.itemCreateFn,

                        },
                        top: 325, left: 0, bottom: 0, right: 0
                    }
                ]
            }
        },
        itemCreateFn:function (page, pageSize) {
            //return {success: true, data: Dec.Utils.Client.Client.page(page, pageSize, "")};
            var data = Dec.Utils.Client.WatcherList.get(page, pageSize);
            data.items = data.items.map(function (item, v) {

                return{
                    id:0,
                    hold:"",
                    api:item.api,
                    app:item.app == "" ? BI.i18nText("Plugin-Dec-Management-Public") : item.app,
                    time:item.time,
                    resTime:item.resTime,
                    mem:(item.mem/1024/1024/4).toFixed(2),

                }
            });
            return {success: true, data:data};
            //return {success: true, data: Dec.Utils.Client.watcherList.get(page, pageSize)};
        }
    });

    BI.shortcut("dec.client.watcher", watcher);
}());

