!(function () {
    var EDITOR_WIDTH = 300, EDITOR_HEIGHT = 22, LABEL_WIDTH = 100;


    var transferInfo = BI.inherit(BI.Widget, {

        props: {
            info: {}
        },


        render: function () {
            var self = this, o = this.options, borderEditorWidth = EDITOR_WIDTH - 2;
            var editable = o.info.editable != 0;//不等于0就是可以编辑的
            return {
                type: "bi.vertical",
                //  width: 540,
                vgap: 15,
                scrolly: true,
                items: [{
                    type: "bi.vertical_adapt",
                    items: [{
                        type: "bi.label",
                        textAlign: "left",
                        cls: "dec-font-weight-bold",
                        text: "API"+BI.i18nText("Plugin-Dec-Management_Client_API_group")+":",
                        width: LABEL_WIDTH
                    }, {
                        el: {
                            // type: "bi.multi_select_combo",
                            type: "bi.text_value_combo",
                            // value: o.info.name,
                            // watermark: "这个不允许为空",
                            items: self._createGroupItems(),
                            allowBlank: false,
                            textAlign: "left",
                            width: borderEditorWidth,
                            height: EDITOR_HEIGHT,
                            ref: function (_ref) {
                                self.apiGroup = _ref;
                            }
                        },
                        lgap: 10
                    }]
                }]

            }
        },

        getValue: function () {
            var info = this.options.info;
            var self = this;
            return self.apiGroup.getValue()[0];
        },
        checkValue: function () {
            var result = {status: true};
            if (BI.isEmptyArray(this.apiGroup.getValue())) {
                result.status = false;
                result.errorMsg = BI.i18nText("Plugin-Dec-Management_Client_API_select_Group")+"！";
            }

            return result;
        },
        _createGroupItems: function () {
            var data = Dec.Utils.Client.Group.page(-1, 10, "");
            data.unshift(BI.deepClone(DecCst.client.nogroup));
            return BI.map(data, function (index, item) {
                return {
                    value: item.id,
                    text: item.name
                }
            })
        },

        setValue: function (info) {

        }
    });
    BI.shortcut("dec.api.transfer.info", transferInfo);
}());