/**
 * @author 秃破天际
 * @version 10.0
 * Created by 秃破天际 on 2020-07-28
 **/
!(function () {
    var Model = BI.inherit(Fix.Model, {

        state: function () {
            var constant = BI.Constants.getConstant("dec.constant.client.tabs");
            return {
                activeTab: BI.isNotEmptyArray(constant) ? constant[0].value : "allClient"
            };
        },

        computed: {
            tabs: function () {
                return BI.map(BI.Constants.getConstant("dec.constant.client.tabs"), function (index, item) {
                    return {
                        text: item.text,
                        value: item.value,
                        selected: index === 0
                    };
                });
            }
        },

        actions: {
            openTab: function (v) {
                this.model.activeTab = v;
            },
            createCard: function (v) {
                var find = BI.find(BI.Constants.getConstant("dec.constant.client.tabs"), function (index, item) {
                    return item.value === v;
                });
                if (find) {
                    return BI.extend({
                        type: find.cardType
                    }, find);
                }
                return {
                    type: "bi.label",
                    text: v
                };
            }
        }
    });
    BI.model("dec.model.client", Model);
})();