;!(function () {
    var Model = BI.inherit(Fix.Model, {
        _init: function () {
        },
        state: function () {
            return {
                selectedCarriers: { // 此状态用来记录不同carrierType的选中值.并且都要保存
                    client: {},
                    api: {}
                },
            };
        },
        context: ["carrierInfo","groupItems", "clientItems"],
        childContext: ["carrierInfo", "selectedCarriers","groupItems", "clientItems"],
        computed: {
            tabs: function () {
                return BI.map(BI.Constants.getConstant("dec.constant.client.privilege.carrier.type"), function (index, item) {
                    return {
                        text: item.text,
                        value: item.value,
                        selected: index === 0,
                    };
                });
            },
            selectedTab: function () {
                return this.model.carrierInfo.carrierType;
            },
        },
        actions: {
            selectTab: function (v) {
                this.model.carrierInfo = BI.extend({
                    carrierType: v,
                }, this._getCarrier(v));
            },
        },
        _getCarrier: function (v) {
            return this.model.selectedCarriers[v];
        },
    })
    BI.model("dec.model.client.privilege.carrier.selector", Model);

})();