;!(function () {
    var privilege = BI.inherit(BI.Widget, {
        props: {},
                _store: function () {
                    return BI.Models.getModel("dec.model.client.privilege.privilege");
                },
        watch: {
            selectedTab: function (v) {
                this.tab.setSelect(v);
            },
        },
        render: function () {
            var self = this, o = this.options;
            return {
                type: "bi.absolute",
                cls: "bi-border-top",
                items: [
                    {
                        el: {
                            type: "bi.vtape",
                            items: [{
                                el: {
                                    type: "bi.label",
                                    text: BI.i18nText("Plugin-Dec_Privilege_Setting"),
                                    cls: "dec-font-weight-bold",
                                    textAlign: "left"
                                }, height: 24
                            }, {
                                el: {
                                    type: "bi.tab",
                                    cls: "bi-border client-background",
                                 //   single: true,
                                    ref: function (_ref) {
                                        self.tab = _ref;
                                    },
                                    showIndex: self.model.selectedTab,
                                    cardCreator: BI.bind(this._createTab, this),
                                },tgap:10
                            }]
                        },
                        top: 10,
                        right: 20,
                        bottom: 0,
                        left: 20,
                    },
                ],
            }
        },
        _createTab: function (v) {
            var found = BI.find(BI.Constants.getConstant("dec.constant.client.privilege.carrier.type"), function (index, tab) {
                return tab.value === v;
            });

            return found ? {
                type: found.privilegeType,
                text: found.text
            } : {
                type: "bi.label",
                text: v,
            };
        }
    });
    BI.shortcut("dec.client.privilege.privilege", privilege);
})();