;!(function () {
    var configItem = BI.inherit(BI.Widget, {
        props: {
            baseCls: "",
            editorWidth: 120,
            handleDelete: BI.emptyFn,
        },
        render: function () {
            var self = this
                , o = this.options;
            return {
                type: "bi.htape",
                cls: "dec-parameter-list-item bi-border-bottom",
                width: o.width,
                height: 36,
                items: [{
                    type: "bi.htape",
                    items: [{
                        el: {
                            type: "bi.vertical_adapt",
                            items: [{
                                el: {
                                    type: "bi.editor",
                                    ref: function (_ref) {
                                        self.name = _ref
                                    },
                                    cls: "bi-border",
                                    value: o.name,
                                    width: o.editorWidth,
                                    height: 24,
                                    listeners: [{
                                        eventName: "EVENT_CHANGE",
                                        action: function () {
                                            self.fireEvent("EVENT_CHANGE", o.id, self.getValue())
                                        }
                                    }]
                                },
                                lgap: 10
                            }]
                        },
                        width: 0.5
                    }, {
                        el: {
                            type: "bi.vertical_adapt",
                            items: [{
                                type: "bi.editor",
                                ref: function (e) {
                                    self.paramValue = e
                                },
                                cls: "bi-border",
                                value: o.value,
                                width: o.editorWidth,
                                height: 24,
                                listeners: [{
                                    eventName: "EVENT_CHANGE",
                                    action: function () {
                                        self.fireEvent("EVENT_CHANGE", o.id, self.getValue())
                                    }
                                }]
                            }]
                        },
                        width: 0.5
                    }]
                }, {
                    type: "bi.right_vertical_adapt",
                    items: [{
                        type: "bi.icon_button",
                        width: 24,
                        height: 24,
                        cls: "delete-node-font",
                        handler: function () {
                            self.options.handleDelete()
                        }
                    }],
                    width: 60
                }]
            }
        },
        getValue: function () {
            return {
                name: this.name.getValue(),
                value: this.paramValue.getValue(),
            }
        }
    });
    BI.shortcut("dec.client.widget.config.parameter.item", configItem)
})();